
public class Class577 implements Interface50 {

   int anInt7611;
   static Class577 aClass577_7612 = new Class577(0);
   public static Class577 aClass577_7613 = new Class577(1);
   public static Class253 aClass253_7614;


   public int method89(byte var1) {
      return this.anInt7611 * -666862639;
   }

   Class577(int var1) {
      this.anInt7611 = -1894793935 * var1;
   }

   public int method269() {
      return this.anInt7611 * -666862639;
   }

   static final void method12226(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = client.anInt7831 * 1231941283;
   }

   public static long method12227(int var0, int var1, int var2, int var3, int var4, int var5, int var6) {
      Class409.aCalendar5009.clear();
      Class409.aCalendar5009.set(var5, var4, var3, var2, var1, var0);
      return Class409.aCalendar5009.getTime().getTime();
   }

   public static void method12228(int var0) {
      Class286.method5245();
   }
}
